Skip to main content
GET
/
gbp
/
posts
List GBP posts
curl --request GET \
  --url https://api.app.hrizn.io/v1/public/gbp/posts \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "google_post_id": "<string>",
      "location_id": "<string>",
      "post_type": "NEWS",
      "content_text": "<string>",
      "status": "posted",
      "media_url": "<string>",
      "posted_at": "2023-11-07T05:31:56Z",
      "publish_at_utc": "2023-11-07T05:31:56Z",
      "scheduled_timezone": "<string>",
      "post_config": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>",
    "total_count": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Query Parameters

limit
integer
default:25

Maximum number of posts to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of posts to skip for pagination

status
enum<string>

Filter by post status

Available options:
posted,
scheduled,
cancelled,
failed,
draft,
deleted
location_id
string

Filter by GBP location ID

Response

Paginated list of GBP posts

data
object[]
pagination
object
Last modified on April 13, 2026